Bug 197118 - spanish dvorak keyboard XML definition
Summary: spanish dvorak keyboard XML definition
Status: RESOLVED FIXED
Alias: None
Product: ktouch
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Haavard Froeiland
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-19 10:10 UTC by juan.oteros
Modified: 2011-05-07 11:04 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description juan.oteros 2009-06-19 10:10:12 UTC
Version:           1.7.1 (using KDE 4.2.2)
OS:                Linux
Installed from:    Ubuntu Packages

<KTouchKeyboard>
 <Title>Spanish Dvorak</Title>
 <Comment>Spanish Dvorak Keyboard Layout</Comment>
 <FontSuggestions>Sans Serif,9,-1,5,50,0,0,0,0,0</FontSuggestions>
 <Language>es</Language>
 <Keys>
  <Key Width="80" X="180" Y="200" Height="80" Type="FINGER" >
   <Char Unicode="65" Position="TopLeft" >A</Char>
  </Key>
  <Key Width="80" X="280" Y="200" Height="80" Type="FINGER" >
   <Char Unicode="79" Position="TopLeft" >O</Char>
  </Key>
  <Key Width="80" X="380" Y="200" Height="80" Type="FINGER" >
   <Char Unicode="69" Position="TopLeft" >E</Char>
  </Key>
  <Key Width="80" X="480" Y="200" Height="80" Type="FINGER" >
   <Char Unicode="85" Position="TopLeft" >U</Char>
  </Key>
  <Key Width="80" X="780" Y="200" Height="80" Type="FINGER" >
   <Char Unicode="82" Position="TopLeft" >R</Char>
  </Key>
  <Key Width="80" X="880" Y="200" Height="80" Type="FINGER" >
   <Char Unicode="84" Position="TopLeft" >T</Char>
  </Key>
  <Key Width="80" X="980" Y="200" Height="80" Type="FINGER" >
   <Char Unicode="78" Position="TopLeft" >N</Char>
  </Key>
  <Key Width="80" X="1080" Y="200" Height="80" Type="FINGER" >
   <Char Unicode="83" Position="TopLeft" >S</Char>
  </Key>
  <Key Width="130" X="0" Y="100" Height="80" Type="TAB" />
  <Key Width="150" X="1380" Y="200" Height="80" Type="ENTER" />
  <Key Width="200" X="1230" Y="300" Height="80" Type="SHIFT" />
  <Key Width="130" X="1150" KeyText="Alt" Y="400" Height="80" Type="OTHER" />
  <Key Width="130" X="1300" KeyText="Ctrl" Y="400" Height="80" Type="OTHER" />
  <Key Width="130" X="150" KeyText="Alt" Y="400" Height="80" Type="OTHER" />
  <Key Width="130" X="0" KeyText="Ctrl" Y="400" Height="80" Type="OTHER" />
  <Key Width="830" X="300" Y="400" Height="80" Type="SPACE" />
  <Key Width="110" X="0" Y="300" Height="80" Type="SHIFT" />
  <Key Width="160" X="0" Y="200" Height="80" Type="CAPSLOCK" />
  <Key Width="130" X="1300" Y="0" Height="80" Type="BACKSPACE" />
  <Key Width="80" X="0" Y="0" Height="80" FingerKeyIndex="0" Type="NORMAL" >
   <Char Unicode="170" Position="TopLeft" >ª</Char>
   <Char Unicode="186" Position="BottomLeft" >º</Char>
  </Key>
  <Key Width="80" X="100" Y="0" Height="80" FingerKeyIndex="0" Type="NORMAL" >
   <Char Unicode="33" Position="TopLeft" >!</Char>
   <Char Unicode="49" Position="BottomLeft" >1</Char>
  </Key>
  <Key Width="80" X="200" Y="0" Height="80" FingerKeyIndex="1" Type="NORMAL" >
   <Char Unicode="34" Position="TopLeft" >"</Char>
   <Char Unicode="50" Position="BottomLeft" >2</Char>
  </Key>
  <Key Width="80" X="300" Y="0" Height="80" FingerKeyIndex="2" Type="NORMAL" >
   <Char Unicode="183" Position="TopLeft" >·</Char>
   <Char Unicode="51" Position="BottomLeft" >3</Char>
  </Key>
  <Key Width="80" X="400" Y="0" Height="80" FingerKeyIndex="3" Type="NORMAL" >
   <Char Unicode="36" Position="TopLeft" >$</Char>
   <Char Unicode="52" Position="BottomLeft" >4</Char>
  </Key>
  <Key Width="80" X="500" Y="0" Height="80" FingerKeyIndex="3" Type="NORMAL" >
   <Char Unicode="37" Position="TopLeft" >%</Char>
   <Char Unicode="53" Position="BottomLeft" >5</Char>
  </Key>
  <Key Width="80" X="600" Y="0" Height="80" FingerKeyIndex="4" Type="NORMAL" >
   <Char Unicode="38" Position="TopLeft" >&amp;</Char>
   <Char Unicode="54" Position="BottomLeft" >6</Char>
  </Key>
  <Key Width="80" X="700" Y="0" Height="80" FingerKeyIndex="4" Type="NORMAL" >
   <Char Unicode="47" Position="TopLeft" >/</Char>
   <Char Unicode="55" Position="BottomLeft" >7</Char>
  </Key>
  <Key Width="80" X="800" Y="0" Height="80" FingerKeyIndex="5" Type="NORMAL" >
   <Char Unicode="40" Position="TopLeft" >(</Char>
   <Char Unicode="56" Position="BottomLeft" >8</Char>
  </Key>
  <Key Width="80" X="900" Y="0" Height="80" FingerKeyIndex="6" Type="NORMAL" >
   <Char Unicode="41" Position="TopLeft" >)</Char>
   <Char Unicode="57" Position="BottomLeft" >9</Char>
  </Key>
  <Key Width="80" X="1000" Y="0" Height="80" FingerKeyIndex="7" Type="NORMAL" >
   <Char Unicode="61" Position="TopLeft" >=</Char>
   <Char Unicode="48" Position="BottomLeft" >0</Char>
  </Key>
  <Key Width="80" X="1100" Y="0" Height="80" FingerKeyIndex="7" Type="NORMAL" >
   <Char Unicode="63" Position="TopLeft" >?</Char>
   <Char Unicode="39" Position="BottomLeft" >'</Char>
  </Key>
  <Key Width="80" X="1200" Y="0" Height="80" FingerKeyIndex="7" Type="NORMAL" >
   <Char Unicode="161" Position="TopLeft" >¡</Char>
   <Char Unicode="191" Position="BottomLeft" >¿</Char>
  </Key>
  <Key Width="80" X="150" Y="100" Height="80" FingerKeyIndex="0" Type="NORMAL" >
   <Char Unicode="58" Position="TopLeft" >:</Char>
   <Char Unicode="46" Position="BottomLeft" >.</Char>
  </Key>
  <Key Width="80" X="250" Y="100" Height="80" FingerKeyIndex="1" Type="NORMAL" >
   <Char Unicode="59" Position="TopLeft" >;</Char>
   <Char Unicode="44" Position="BottomLeft" >,</Char>
  </Key>
  <Key Width="80" X="350" Y="100" Height="80" FingerKeyIndex="2" Type="NORMAL" >
   <Char Unicode="209" Position="TopLeft" >Ñ</Char>
  </Key>
  <Key Width="80" X="450" Y="100" Height="80" FingerKeyIndex="3" Type="NORMAL" >
   <Char Unicode="80" Position="TopLeft" >P</Char>
  </Key>
  <Key Width="80" X="550" Y="100" Height="80" FingerKeyIndex="3" Type="NORMAL" >
   <Char Unicode="89" Position="TopLeft" >Y</Char>

  </Key>
  <Key Width="80" X="650" Y="100" Height="80" FingerKeyIndex="4" Type="NORMAL" >
   <Char Unicode="70" Position="TopLeft" >F</Char>
  </Key>
  <Key Width="80" X="750" Y="100" Height="80" FingerKeyIndex="4" Type="NORMAL" >
   <Char Unicode="71" Position="TopLeft" >G</Char>
  </Key>
  <Key Width="80" X="850" Y="100" Height="80" FingerKeyIndex="5" Type="NORMAL" >
   <Char Unicode="67" Position="TopLeft" >C</Char>
  </Key>
  <Key Width="80" X="950" Y="100" Height="80" FingerKeyIndex="6" Type="NORMAL" >
   <Char Unicode="72" Position="TopLeft" >H</Char>
  </Key>
  <Key Width="80" X="1050" Y="100" Height="80" FingerKeyIndex="7" Type="NORMAL" >
   <Char Unicode="76" Position="TopLeft" >L</Char>
  </Key>
  <Key Width="80" X="1150" Y="100" Height="80" FingerKeyIndex="7" Type="NORMAL" >
   <Char Unicode="94" Position="TopLeft" >^</Char>
   <Char Unicode="96" Position="BottomLeft" >`</Char>
  </Key>
  <Key Width="80" X="1250" Y="100" Height="80" FingerKeyIndex="7" Type="NORMAL" >
   <Char Unicode="42" Position="TopLeft" >*</Char>
   <Char Unicode="43" Position="BottomLeft" >+</Char>
  </Key>
  <Key Width="80" X="580" Y="200" Height="80" FingerKeyIndex="3" Type="NORMAL" >
   <Char Unicode="73" Position="TopLeft" >I</Char>
  </Key>
  <Key Width="80" X="680" Y="200" Height="80" FingerKeyIndex="4" Type="NORMAL" >
   <Char Unicode="68" Position="TopLeft" >D</Char>
  </Key>
  <Key Width="80" X="1180" Y="200" Height="80" FingerKeyIndex="7" Type="NORMAL" >
   <Char Unicode="168" Position="TopLeft" >¨</Char>
   <Char Unicode="180" Position="BottomLeft" >´</Char>
  </Key>
  <Key Width="80" X="1280" Y="200" Height="80" FingerKeyIndex="7" Type="NORMAL" >
   <Char Unicode="199" Position="TopLeft" >Ç</Char>
  </Key>
  <Key Width="80" X="130" Y="300" Height="80" FingerKeyIndex="0" Type="NORMAL" >
   <Char Unicode="62" Position="TopLeft" >></Char>
   <Char Unicode="60" Position="BottomLeft" >&lt;</Char>
  </Key>  
  <Key Width="80" X="230" Y="300" Height="80" FingerKeyIndex="0" Type="NORMAL" >
   <Char Unicode="95" Position="TopLeft" >_</Char>
   <Char Unicode="45" Position="BottomLeft" >-</Char>
  </Key>
  <Key Width="80" X="330" Y="300" Height="80" FingerKeyIndex="1" Type="NORMAL" >
   <Char Unicode="81" Position="TopLeft" >Q</Char> 
  </Key>
  <Key Width="80" X="430" Y="300" Height="80" FingerKeyIndex="2" Type="NORMAL" >
   <Char Unicode="74" Position="TopLeft" >J</Char>
  </Key>
  <Key Width="80" X="530" Y="300" Height="80" FingerKeyIndex="3" Type="NORMAL" >
   <Char Unicode="75" Position="TopLeft" >K</Char>
  </Key>
  <Key Width="80" X="630" Y="300" Height="80" FingerKeyIndex="3" Type="NORMAL" >
   <Char Unicode="88" Position="TopLeft" >X</Char>
  </Key>
  <Key Width="80" X="730" Y="300" Height="80" FingerKeyIndex="4" Type="NORMAL" >
   <Char Unicode="66" Position="TopLeft" >B</Char>
  </Key>
  <Key Width="80" X="830" Y="300" Height="80" FingerKeyIndex="4" Type="NORMAL" >
   <Char Unicode="77" Position="TopLeft" >M</Char>
  </Key>
  <Key Width="80" X="930" Y="300" Height="80" FingerKeyIndex="5" Type="NORMAL" >
   <Char Unicode="87" Position="TopLeft" >W</Char>
  </Key>
  <Key Width="80" X="1030" Y="300" Height="80" FingerKeyIndex="6" Type="NORMAL" >
   <Char Unicode="86" Position="TopLeft" >V</Char>
  </Key>
  <Key Width="80" X="1130" Y="300" Height="80" FingerKeyIndex="7" Type="NORMAL" >
   <Char Unicode="90" Position="TopLeft" >Z</Char>
  </Key>
 </Keys>
 <Connections>
  <KeyConnector KeyUnicode="8" TargetKeyIndex="18" />
  <KeyConnector KeyUnicode="13" TargetKeyIndex="9" />
  <KeyConnector KeyUnicode="32" TargetKeyIndex="15" />
  <KeyConnector KeyUnicode="33" TargetKeyIndex="20" ModifierIndex="10" />
  <KeyConnector KeyUnicode="34" TargetKeyIndex="46" ModifierIndex="16" />
  <KeyConnector KeyUnicode="35" TargetKeyIndex="22" ModifierIndex="16" />
  <KeyConnector KeyUnicode="36" TargetKeyIndex="23" ModifierIndex="10" />
  <KeyConnector KeyUnicode="37" TargetKeyIndex="24" ModifierIndex="10" />
  <KeyConnector KeyUnicode="38" TargetKeyIndex="26" ModifierIndex="16" />
  <KeyConnector KeyUnicode="39" TargetKeyIndex="46" />
  <KeyConnector KeyUnicode="40" TargetKeyIndex="28" ModifierIndex="10" />
  <KeyConnector KeyUnicode="41" TargetKeyIndex="29" ModifierIndex="10" />
  <KeyConnector KeyUnicode="42" TargetKeyIndex="27" ModifierIndex="10" />
  <KeyConnector KeyUnicode="43" TargetKeyIndex="31" ModifierIndex="10" />
  <KeyConnector KeyUnicode="44" TargetKeyIndex="55" />
  <KeyConnector KeyUnicode="45" TargetKeyIndex="30" />
  <KeyConnector KeyUnicode="46" TargetKeyIndex="56" />
  <KeyConnector KeyUnicode="47" TargetKeyIndex="57" />
  <KeyConnector KeyUnicode="48" TargetKeyIndex="29" />
  <KeyConnector KeyUnicode="49" TargetKeyIndex="20" />
  <KeyConnector KeyUnicode="50" TargetKeyIndex="21" />
  <KeyConnector KeyUnicode="51" TargetKeyIndex="22" />
  <KeyConnector KeyUnicode="52" TargetKeyIndex="23" />
  <KeyConnector KeyUnicode="53" TargetKeyIndex="24" />
  <KeyConnector KeyUnicode="54" TargetKeyIndex="25" />
  <KeyConnector KeyUnicode="55" TargetKeyIndex="26" />
  <KeyConnector KeyUnicode="56" TargetKeyIndex="27" />
  <KeyConnector KeyUnicode="57" TargetKeyIndex="28" />
  <KeyConnector KeyUnicode="58" TargetKeyIndex="7" ModifierIndex="16" />
  <KeyConnector KeyUnicode="59" TargetKeyIndex="7" />
  <KeyConnector KeyUnicode="60" TargetKeyIndex="55" ModifierIndex="16" />
  <KeyConnector KeyUnicode="61" TargetKeyIndex="31" />
  <KeyConnector KeyUnicode="62" TargetKeyIndex="56" ModifierIndex="16" />
  <KeyConnector KeyUnicode="63" TargetKeyIndex="57" ModifierIndex="16" />
  <KeyConnector KeyUnicode="64" TargetKeyIndex="21" ModifierIndex="16" />
  <KeyConnector KeyUnicode="65" TargetKeyIndex="0" ModifierIndex="10" />
  <KeyConnector KeyUnicode="66" TargetKeyIndex="52" ModifierIndex="10" />
  <KeyConnector KeyUnicode="67" TargetKeyIndex="50" ModifierIndex="10" />
  <KeyConnector KeyUnicode="68" TargetKeyIndex="2" ModifierIndex="10" />
  <KeyConnector KeyUnicode="69" TargetKeyIndex="34" ModifierIndex="10" />
  <KeyConnector KeyUnicode="70" TargetKeyIndex="3" ModifierIndex="10" />
  <KeyConnector KeyUnicode="71" TargetKeyIndex="44" ModifierIndex="10" />
  <KeyConnector KeyUnicode="72" TargetKeyIndex="45" ModifierIndex="10" />
  <KeyConnector KeyUnicode="73" TargetKeyIndex="39" ModifierIndex="10" />
  <KeyConnector KeyUnicode="74" TargetKeyIndex="4" ModifierIndex="10" />
  <KeyConnector KeyUnicode="75" TargetKeyIndex="5" ModifierIndex="10" />
  <KeyConnector KeyUnicode="76" TargetKeyIndex="6" ModifierIndex="10" />
  <KeyConnector KeyUnicode="77" TargetKeyIndex="54" ModifierIndex="16" />
  <KeyConnector KeyUnicode="78" TargetKeyIndex="53" ModifierIndex="10" />
  <KeyConnector KeyUnicode="79" TargetKeyIndex="40" ModifierIndex="10" />
  <KeyConnector KeyUnicode="80" TargetKeyIndex="41" ModifierIndex="10" />
  <KeyConnector KeyUnicode="81" TargetKeyIndex="32" ModifierIndex="10" />
  <KeyConnector KeyUnicode="82" TargetKeyIndex="35" ModifierIndex="10" />
  <KeyConnector KeyUnicode="83" TargetKeyIndex="1" ModifierIndex="10" />
  <KeyConnector KeyUnicode="84" TargetKeyIndex="36" ModifierIndex="10" />
  <KeyConnector KeyUnicode="85" TargetKeyIndex="38" ModifierIndex="10" />
  <KeyConnector KeyUnicode="86" TargetKeyIndex="51" ModifierIndex="10" />
  <KeyConnector KeyUnicode="87" TargetKeyIndex="33" ModifierIndex="10" />
  <KeyConnector KeyUnicode="88" TargetKeyIndex="49" ModifierIndex="10" />
  <KeyConnector KeyUnicode="89" TargetKeyIndex="48" ModifierIndex="10" />
  <KeyConnector KeyUnicode="90" TargetKeyIndex="37" ModifierIndex="10" />
  <KeyConnector KeyUnicode="91" TargetKeyIndex="42" />
  <KeyConnector KeyUnicode="92" TargetKeyIndex="47" />
  <KeyConnector KeyUnicode="93" TargetKeyIndex="43" />
  <KeyConnector KeyUnicode="94" TargetKeyIndex="25" ModifierIndex="16" />
  <KeyConnector KeyUnicode="95" TargetKeyIndex="30" ModifierIndex="10" />
  <KeyConnector KeyUnicode="96" TargetKeyIndex="19" />
  <KeyConnector KeyUnicode="97" TargetKeyIndex="0" />
  <KeyConnector KeyUnicode="98" TargetKeyIndex="52" />
  <KeyConnector KeyUnicode="99" TargetKeyIndex="50" />
  <KeyConnector KeyUnicode="100" TargetKeyIndex="2" />
  <KeyConnector KeyUnicode="101" TargetKeyIndex="34" />
  <KeyConnector KeyUnicode="102" TargetKeyIndex="3" />
  <KeyConnector KeyUnicode="103" TargetKeyIndex="44" />
  <KeyConnector KeyUnicode="104" TargetKeyIndex="45" />
  <KeyConnector KeyUnicode="105" TargetKeyIndex="39" />
  <KeyConnector KeyUnicode="106" TargetKeyIndex="4" />
  <KeyConnector KeyUnicode="107" TargetKeyIndex="5" />
  <KeyConnector KeyUnicode="108" TargetKeyIndex="6" />
  <KeyConnector KeyUnicode="109" TargetKeyIndex="54" />
  <KeyConnector KeyUnicode="110" TargetKeyIndex="53" />
  <KeyConnector KeyUnicode="111" TargetKeyIndex="40" />
  <KeyConnector KeyUnicode="112" TargetKeyIndex="41" />
  <KeyConnector KeyUnicode="113" TargetKeyIndex="32" />
  <KeyConnector KeyUnicode="114" TargetKeyIndex="35" />
  <KeyConnector KeyUnicode="115" TargetKeyIndex="1" />
  <KeyConnector KeyUnicode="116" TargetKeyIndex="36" />
  <KeyConnector KeyUnicode="117" TargetKeyIndex="38" />
  <KeyConnector KeyUnicode="118" TargetKeyIndex="51" />
  <KeyConnector KeyUnicode="119" TargetKeyIndex="33" />
  <KeyConnector KeyUnicode="120" TargetKeyIndex="49" />
  <KeyConnector KeyUnicode="121" TargetKeyIndex="48" />
  <KeyConnector KeyUnicode="122" TargetKeyIndex="37" />
  <KeyConnector KeyUnicode="123" TargetKeyIndex="42" ModifierIndex="16" />
  <KeyConnector KeyUnicode="124" TargetKeyIndex="47" ModifierIndex="16" />
  <KeyConnector KeyUnicode="125" TargetKeyIndex="43" ModifierIndex="16" />
  <KeyConnector KeyUnicode="126" TargetKeyIndex="19" ModifierIndex="16" />
  <KeyConnector KeyUnicode="257" TargetKeyIndex="16" />
  <KeyConnector KeyUnicode="258" TargetKeyIndex="10" />
  <KeyConnector KeyUnicode="259" TargetKeyIndex="17" />
  <KeyConnector KeyUnicode="260" TargetKeyIndex="8" />
  <KeyConnector KeyUnicode="262" TargetKeyIndex="14" />
  <KeyConnector KeyUnicode="263" TargetKeyIndex="13" />
  <KeyConnector KeyUnicode="264" TargetKeyIndex="11" />
  <KeyConnector KeyUnicode="265" TargetKeyIndex="12" />
 </Connections>
</KTouchKeyboard>
Comment 1 Peter Ruethemann 2011-05-07 11:04:16 UTC
Git commit 848d0f99c19bf682c6a4f7b7159e6ee17ef120d8 by Rüthemann Peter.
Committed on 07/05/2011 at 11:16.
Pushed by ruthemann into branch 'master'.

Add of Spanish Dvorak keyboard layout. Thanks to: Juan Oteros

        BUG: 197118
        CCMAIL: juan.oteros@gmail.com

A  +319  -0    keyboards/es.dvorak.keyboard.xml         [License: UNKNOWN]  *

The files marked with a * at the end have a non valid license. Please read: http://techbase.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


http://commits.kde.org/ktouch/848d0f99c19bf682c6a4f7b7159e6ee17ef120d8